Bug 875599 - anaconda keeping error status after Change the installation source to point to a custom HTTP/FTP repository
anaconda keeping error status after Change the installation source to point t...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-11-12 01:41 EST by lnie
Modified: 2012-12-18 01:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 01:52:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lnie 2012-11-12 01:41:32 EST
Description of problem:
1)I try to make an install from  HTTP/FTP repository.after change the "Installation source" to"http://.../os/",there is an error coin on the "SOFTWARE SELECTION"(default:GNOME Desktop),
2) I change it to"KDE Plasma Workspace" the error coin disappeared.
Actually,after 2) I can choose GNOME Desktop,and there is no error. 

Version-Release number of selected component (if applicable):

f18 x86_64 Beta TC8
How reproducible:
100%
Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kamil Páral 2012-11-22 10:48:32 EST
I can confirm this with F18 Beta RC1 and anaconda 18.29.2. If I change installation repo to http://foo, the package selection gets a warning icon, but I can't just open it and confirm it, I have to change the selection to something else, confirm, open again, and select GNOME back again. Only then the warning disappears.

Not serious enough for Beta, but proposing as Final blocker or at least NTH.
Comment 2 Kamil Páral 2012-11-29 13:31:35 EST
I should note that http://foo is a correct repository, valid metadata and everything.
Comment 3 Adam Williamson 2012-11-29 13:38:54 EST
Discussed at 2012-11-29 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-11-29/f18final-blocker-review-1.1.2012-11-29-17.01.log.txt . Agreed this is not serious enough to be a blocker, but it is accepted as NTH as it may confuse users and cannot be fixed with an update.
Comment 4 Fedora Update System 2012-12-14 22:35:34 EST
anaconda-18.37.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.3-1.fc18
Comment 5 Fedora Update System 2012-12-15 16:14:18 EST
Package anaconda-18.37.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20461/anaconda-18.37.3-1.fc18
then log in and leave karma (feedback).
Comment 6 Adam Williamson 2012-12-17 19:45:37 EST
TC3 includes this build, so please re-test with TC3, confirm the fix and up-karma anaconda - thanks!
Comment 7 Adam Williamson 2012-12-17 20:05:04 EST
Looks good in TC3. After switching source the software selection spoke says 'Source changed - please verify', which explains nicely why it's gone into 'alert' state, and just entering/exiting the spoke is sufficient (no need to pick a different package set and then go back to the one you wanted).
Comment 8 lnie 2012-12-17 22:13:04 EST
Hi Adam,I have tested it just now.All the thing are like you said.
Comment 9 Fedora Update System 2012-12-18 01:52:26 EST
anaconda-18.37.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.